%define modname vld
%define soname %{modname}.so
%define inifile 98_%{modname}.ini

Summary:	Provides functionality to dump the internal representation of PHP scripts
Name:		php-%{modname}
Version:	0.16.0
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/vld
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:7.3.0
BuildRequires:	file
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4

%description
The Vulcan Logic Disassembler hooks into the Zend Engine and dumps all the
opcodes (execution units) of a script.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[vld]
vld.active = 0
vld.execute = 1
vld.skip_append = 0
vld.skip_prepend = 0
vld.verbosity = 1
EOF

%files
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 0.16.0-3.mga7
+ Revision: 1595936
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1539071
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 0.16.0-1.mga8
+ Revision: 1463722
- new version 0.16

* Wed Dec 12 2018 mokraemer <mokraemer> 0.15.0-1.mga7
+ Revision: 1340591
- new version 0.15.0
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.14.0-5.mga7
+ Revision: 1325894
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 0.14.0-4.mga7
+ Revision: 1300250
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 0.14.0-3.mga7
+ Revision: 1217403
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 0.14.0-2.mga7
+ Revision: 1181034
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 0.14.0-1.mga7
+ Revision: 1177247
- new version

* Fri Feb 12 2016 umeabot <umeabot> 0.13.0-2.mga6
+ Revision: 958496
- Mageia 6 Mass Rebuild
+ oden <oden>
- 0.13.0

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-3.mga5
+ Revision: 739282
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-2.mga5
+ Revision: 687558
- Mageia 5 Mass Rebuild

* Fri May 09 2014 oden <oden> 0.12.0-1.mga5
+ Revision: 621566
- 0.12.0
- P0: fix for php-5.6, maybe
+ luigiwalser <luigiwalser>
- httpd restart is handled by filetriggers now
+ spuhler <spuhler>
- imported package php-vld

